Kerbal Space Program - Bug #21537

(now reproduceable) 1.4.2 - 1.6.1 Certain crafts cause resolution changes from a lower one to native
when certain crafts are loaded into a scene.

03/10/2019 04:14 AM - Anth12

Status: Confirmed Start date: 03/10/2019
Severity: Low % Done: 10%
Assignee:

Category: Camera

Target version:

Version: 1.6.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Related to #21431#19435#18205 (though it isn't reproduce-able with #18205)

KSP 1.8.11.4.0,1.41,1.4.2,1.43,1.4.4,1.45,1.5.1,1.6.1

Issue:

If a player uses a lower resolution than the native one in full screen (e.g. use 1440x900 when when native resolution is 1920x1080)
when changing scenes with certain crafts the resolution will default to native if KSP isnt in focus, i.e. alt tabbing to something else or
with multi screen setups and selecting something on the other screen(mine being 2 total)

Note some crafts cause this to happen. some don't. | have attached several craft files which will give different results.
| don't know exactly what is causing it, but was able to get the additional craft files to give a negative and inconsistent result.

Steps to reproducing:

1. Load the craft 'Kerbin Reentry Pod Dispenser.craft' in the VAB.

2. Launch the craft.

3. Quickly change to another window via Alt Tabbing or choosing focusing on another monitor (still happens if only one monitor is
working)

4. Sometimes it may take a few tries, due to timing | think more than anything.

It will work if changing to the same craft when its in orbit from the tracking station.

Note:

Kerbin Reentry Pod Dispenser.craft was created in 1.3.0 but

Resolution Bug Negative.craft was created/manipulated in 1.5.1 and
Resolution Bug Positive Eventually.craft was created/manipulated in 1.5.1.

Additional Testing Crafts:

Resolution Bug Negative.craft Does NOT cause the bug to happen ever

Resolution Bug Positive Eventually.craft will cause the issue if the craft is reverted to VAB and then launched again and again a few
times.

Work Around:
Dont use full screen.

History

#1 - 03/11/2019 07:28 AM - prototype
- Expansion Making History added

Anth12 wrote:

Related to #21431#19435#18205 (though it isn't reproduce-able with #18205)

KSP 1.3.11.4.0,1.41,1.4.2,1.43,1.4.4,1.45,1.5.1,1.6.1

Issue:
If a player uses a lower resolution than the native one in full screen (e.g. use 1440x900 when when native resolution is 1920x1080)
when changing scenes with certain crafts the resolution will default to native if KSP isnt in focus, i.e. alt tabbing to something else or with multi
screen setups and selecting something on the other screen(mine being 2 total)

Note some crafts cause this to happen. some don't. | have attached several craft files which will give different results.
| don't know exactly what is causing it, but was able to get the additional craft files to give a negative and inconsistent result.

Steps to reproducing:

1. Load the craft 'Kerbin Reentry Pod Dispenser.craft' in the VAB.

2. Launch the craft.

3. Quickly change to another window via Alt Tabbing or choosing focusing on another monitor (still happens if only one monitor is working)
4. Sometimes it may take a few tries, due to timing | think more than anything.

It will work if changing to the same craft when its in orbit from the tracking station.

Note:

Kerbin Reentry Pod Dispenser.craft was created in 1.3.0 but

Resolution Bug Negative.craft was created/manipulated in 1.5.1 and
Resolution Bug Positive Eventually.craft was created/manipulated in 1.5.1.

Additional Testing Crafts:
Resolution Bug Negative.craft Does NOT cause the bug to happen ever
Resolution Bug Positive Eventually.craft will cause the issue if the craft is reverted to VAB and then launched again and again a few times.

Work Around:
Dont use full screen.

Hi - I've also had this issue affect the homescreen (floating kerbals).

#2 - 03/13/2019 07:37 PM - Gameslinx

I've made a clean install and created a short video on how to reproduce the bug and what it looks like:
https://www.youtube.com/watch?v=2DXGcij-Ufc&feature=youtu.be

#3 - 03/14/2019 03:21 AM - Anth12

Wow. Nice video (which | watched from beginning to end)
Adding all the comments to the video. All good stuff.

Never doubted your intelligence, the issue is the phrasing of what you think of Squad's ability or lack of ability with testing.
Being polite about an issue is a much better way of getting a positive result of the hard work of reporting a bug

The problem with this resolution bug is that somehow it appears to be related to the craft in some way. | spent most of my
weekend trying to get down to the exact issue.

In the end | got to the point of having the problem happen on one craft and not on another.

We have proven theres a problem. Its not right for me to confirm the bug, as | created this new bug report.

Can you turn Status from New to Confirmed Gamelinx?
If you cant do it. can someone else please...| get the impression we are running out of time to get this fixed before 1.7

#4 - 03/15/2019 04:50 PM - Gameslinx

I'm unable to change the status. The bug has happened with seemingly every single craft | have tried, it seems like the tabbing out causes it, although
it has happened without tabbing out so that might not be the case.

The completion level on my version of the bug report is "10%", but i am not quite sure what that actually means. Hopefully it's been noticed and
worked on!

#5 - 03/15/2019 09:37 PM - Anth12

- Status changed from New to Confirmed

- % Done changed from 0 to 10

- Expansion deleted (Making History)

Cool that comment is enough. | will confirm it for you.

The alt tabbing is focusing away from KSP which seems to be the only time it happens.

Oh...its not making history related prototype, it happens without the expansion

Files
https://www.youtube.com/watch?v=2DXGcij-Ufc&feature=youtu.be

Kerbin Reentry Pod Dispenser.craft 888 KB 03/10/2019 Anth12
Resolution Bug Negative.craft 337 KB 03/10/2019 Anth12
Resolution Bug Positive Eventually.craft 369 KB 03/10/2019 Anth12
